Name: nss_db
Version: 2.2.3
%define minor pre1
%define srcname %name-%version%minor
Release: alt3%minor

Summary: Berkeley DB NSS module
License: GPL
Group: System/Libraries
Url: ftp://sourceware.cygnus.com/pub/glibc/releases

Source: %url/%srcname.tar.bz2

Conflicts: glibc <= 2.1.3

# Automatically added by buildreq on Mon Apr 01 2002
BuildRequires: bison libdb4-devel

%package devel
Summary: Development library for Berkeley DB NSS module
Group: Development/C
Requires: %name = %version-%release

%description
The Berkeley DB NSS module provides an alternative means for storing
configuration information traditionally kept in several plain-text
files in `/etc' (e.g. `/etc/passwd').  The module uses the Berkeley DB
Library to store this information in several database files in
`/var/db' (e.g. `/var/db/passwd.db').  Using these databases can lead
to a considerable speedup if the files in `/etc' are large (e.g. on a
system with a lot of accounts).  Currently the module support the
`aliases', `ethers', `group', `netgroup', `protocols', `passwd',
`rpc', `services' and `shadow' databases.

%description devel
The Berkeley DB NSS module provides an alternative means for storing
configuration information traditionally kept in several plain-text
files in `/etc' (e.g. `/etc/passwd').  The module uses the Berkeley DB
Library to store this information in several database files in
`/var/db' (e.g. `/var/db/passwd.db').  Using these databases can lead
to a considerable speedup if the files in `/etc' are large (e.g. on a
system with a lot of accounts).  Currently the module support the
`aliases', `ethers', `group', `netgroup', `protocols', `passwd',
`rpc', `services' and `shadow' databases.

This package contains the static library for Berkeley DB NSS module.

%prep
%setup -q -n %srcname

%build
%configure --enable-static
%make_build

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT
%__mv $RPM_BUILD_ROOT/lib/*.a $RPM_BUILD_ROOT%_libdir/
%find_lang %name

%post -p %post_ldconfig_sys
%postun -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
/lib/*
%doc AUTHORS ChangeLog NEWS README THANKS db-Makefile rellns-sh

%files devel
%_libdir/*

%changelog
* Thu Oct 31 2002 Dmitry V. Levin <ldv@altlinux.org> 2.2.3-alt3pre1
- Rebuilt in new environment.

* Mon Apr 01 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.2.3-alt2pre1
- Build with db4.
- Use postun_ldconfig.

* Fri Sep 21 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.2.3-alt1pre1
- 2.2.3pre1
- Built with db3-3.3.11.

* Fri Feb 02 2001 Dmitry V. Levin <ldv@fandra.org> 2.2-ipl4mdk
- Rebuilt with db3-3.2.9.

* Fri Jan 05 2001 Dmitry V. Levin <ldv@fandra.org> 2.2-ipl3mdk
- Rebuilt with db3-3.2.3e.

* Mon Nov 20 2000 Dmitry V. Levin <ldv@fandra.org> 2.2-ipl2mdk
- Enabled build with db3 >= 3.1.17-ipl3mdk (now using pthread).

* Sun Oct 01 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.92-ipl1mdk
- Initial revision.
